
/**
 ******************************************************************************
 *
 * @file        delay.h
 * @brief       Delay function headfile. 
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2021/06/01
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */


#ifndef __DELAY_H
#define __DELAY_H 			   


/* Includes ------------------------------------------------------------------*/
#include "MG32x02z_DRV.h"  

/* Wizard menu ---------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
//////////////////////////////////////////////////////////////////////////////////  
//ֻW?ʹãδ?Sɣκ;
//ALIENTEK STM32F407_l
//ʹSysTickͨ?ģʽtMй(֧ucosii)
//delay_us,delay_ms
//cԭ@ALIENTEK
//g?:www.openedv.com
//޸:2014/5/2
//汾V1.0
//УIؾ
//Copyright(C) V?ӿƼ޹˾ 2014-2024
//All rights reserved
//********************************************************************************
//޸f
//o
////////////////////////////////////////////////////////////////////////////////// 	 
void delay_init(uint8_t SYSCLK);
void delay_ms(uint16_t nms);
void delay_us(uint32_t nus);

/* Exported variables --------------------------------------------------------*/
/* Exported functions --------------------------------------------------------*/
/* External vairables --------------------------------------------------------*/

#endif



